JMSManagementService (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.server.management

## Interface JMSManagementService

- All Known Implementing Classes:
    JMSManagementServiceImpl

      public interface JMSManagementService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerConnectionFactory(String name, ConnectionFactoryConfiguration config, ActiveMQConnectionFactory connectionFactory)`
    `JMSServerControl` | `registerJMSServer(JMSServerManager server)`
    `void` | `registerQueue(ActiveMQQueue queue, org.apache.activemq.artemis.core.server.Queue serverQueue)`
    `void` | `registerTopic(ActiveMQTopic topic)`
    `void` | `stop()`
    `void` | `unregisterConnectionFactory(String name)`
    `void` | `unregisterJMSServer()`
    `void` | `unregisterQueue(String name)`
    `void` | `unregisterTopic(String name)`

- - ### Method Detail

    - #### registerJMSServer

          JMSServerControl registerJMSServer(JMSServerManager server)
                                      throws Exception

      Throws:
        `Exception`

    - #### unregisterJMSServer

          void unregisterJMSServer()
                            throws Exception

      Throws:
        `Exception`

    - #### registerQueue

          void registerQueue(ActiveMQQueue queue,
                             org.apache.activemq.artemis.core.server.Queue serverQueue)
                      throws Exception

      Throws:
        `Exception`

    - #### unregisterQueue

          void unregisterQueue(String name)
                        throws Exception

      Throws:
        `Exception`

    - #### registerTopic

          void registerTopic(ActiveMQTopic topic)
                      throws Exception

      Throws:
        `Exception`

    - #### unregisterTopic

          void unregisterTopic(String name)
                        throws Exception

      Throws:
        `Exception`

    - #### registerConnectionFactory

          void registerConnectionFactory(String name,
                                         ConnectionFactoryConfiguration config,
                                         ActiveMQConnectionFactory connectionFactory)
                                  throws Exception

      Throws:
        `Exception`

    - #### unregisterConnectionFactory

          void unregisterConnectionFactory(String name)
                                    throws Exception

      Throws:
        `Exception`

    - #### stop

          void stop()
             throws Exception

      Throws:
        `Exception`

Copyright © 2015. All rights reserved.